org.apache.cassandra.utils

## Interface SearchIterator<K,V>

- All Known Subinterfaces:
    IndexedSearchIterator<K,V>
  All Known Implementing Classes:
    BTreeSearchIterator

      public interface SearchIterator<K,V>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `next(K key)` Searches "forwards" (in direction of travel) in the iterator for the required key; if this or any key greater has already been returned by the iterator, the method may choose to return null, the correct or incorrect output, or fail an assertion.

- - ### Method Detail

    - #### next

          V next(K key)

      Searches "forwards" (in direction of travel) in the iterator for the required key; if this or any key greater has already been returned by the iterator, the method may choose to return null, the correct or incorrect output, or fail an assertion. it is permitted to search past the end of the iterator, i.e. `!hasNext() => next(?) == null`
      Parameters:
        `key` - to search for
      Returns:
        value associated with key, if present in direction of travel

Copyright © 2018 The Apache Software Foundation